.TH Install Rutgers

\fBInstall\fR - generic perl installation script

.SH SYNOPSIS
.nf
.B Install

.fi
.SH DESCRIPTION
\fBInstall\fR is a generic script for installing software packages. 

\fBInstall\fR scripts consist of 2 portions: the user header, and the actual
installation code. The header consists of lines of the form:

&SetGroupParams(groupname,location,owner,group,filemode,dirmode,files);

groupname is the name of the type of files being installed: ie bin.

location is the name of the directory the files must be installed in.

owner and group are the username, and usergroup that will own the
installed files.

filemode is the octal protection mode of the files being installed.
This must have a leading zero.

dirmode is the octal protection mode of the directory to be created. If
the directory already exists, its modes will not be changed.

files is the list of files to be installed.

.SH OPTIONS

The only option currently present in \fBInstall\fR is . To get
full information on each file group as it processes, insert the line

="yes";

in the beginning of the script.

.SH EXAMPLE

&SetGroupParams("bin","/usr/local/bin","root","bin",0755,0755,"Install");
&SetGroupParams("man","/usr/man/manl","root","bin",0644,0755,"Install.l");
&SetGroupParams("stuff","/pub/src/Install","root","bin",0644,0755,"Install","Install.l");

These lines would install "Install" in /usr/local/bin, owned
by root, group bin, with protection mode 755; Install.l
in /usr/man/manl, owned by root, group bin, mode 644; both
Install, and Install.l in "/pub/src/Install", creating the directory
"pub/src/Install" with mode 755.

.SH AUTHOR
Mark C. Carroll

.SH BUGS
Nun. I don't make misstaks.

.SH FEATURES
Ugly "syntax". I'd like to eventually have a clean make-like syntax for
Install. It's also not as flexible as I'd like. And it's very clearly
a quick hack. But it works.
